AOZ Studio Beta - Bug #570

Multiple calls to point function between waits is generating verbose messages in console.

11/15/2020 08:33 PM - David Baldwin

Status: Closed Start date: 11/15/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: Beta RC3

Description

Multiple calls to point function between waits is slowing program significantly and generating verbose messages in console.

Here's a simple demonstration:-

Fix 2

Do

For f=1to 10

Locate 0,0 : Print timer
P=Point (100,100)
next f

wait vbl

loop

ERROR MESSAGE

[Violation] 'requestAnimationFrame' handler took 147ms

History

#1 - 11/19/2020 10:17 AM - Baptiste Bideaux

- Status changed from New to Resolved

Well, modify your code like this :

Do

For f=1to 10

Locate 0,0 : Print timer
P=Point (100,100)
Wait Vbl

next f

wait vbl

loop

That's works in AOZ Viewer and Browser.

#2 - 11/23/2020 06:13 PM - David Baldwin

- Status changed from Resolved to Closed

04/20/2024

1/1



http://www.tcpdf.org

